<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:nutch="http://www.nutch.org/opensearchrss/1.0/" 
   xmlns:opensearch="http://a9.com/-/spec/opensearchrss/1.0/"
   xmlns="http://www.w3.org/1999/xhtml">
  <xsl:output method="text" indent="no" encoding="UTF-8"
     doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
     doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
  <!--

  ***************************************************************
  ** Top level template. Creates the framework for the XHTML page
  ************************************************************-->
  <xsl:template match="/">
    <html>
      &lt;head&gt;
        &lt;title&gt;Nutch Search&lt;/title&gt;
        &lt;style type="text/css"&gt;
            .menuTd {background-color: #F9F7F4; height: 25; onMouseOver: this.style.backgroundColor='#ECE5DC';}
            .menuTdhover {background-color: #ECE5DC; height: 25; onMouseOver: this.style.backgroundColor='#ECE5DC';}
            .menuEntry {  font-family: Arial, Helvetica, sans-serif; font-size: 12px; color: #000000; text-decoration: none}
            .body {background-color: #F9F7F4;}
            .bodytext {  font-family: Arial, Helvetica, sans-serif; font-size: 12px; color: #000000; text-decoration: none}
            .title {  font-family: Arial, Helvetica, sans-serif; font-size: 26px; color: #FF9900; text-decoration: none}
            .intro {  font-family: Arial, Helvetica, sans-serif; font-size: 12px; color: #FF9900; text-decoration: none}
            .orangeTd {background-color: #FF9900}
            ul {list-style-image: url(../img/reiter/ul.gif)}
            h3 {font-family: Arial, Helvetica, sans-serif; font-size: 16px; color: #000000;}
            h4 {font-family: Arial, Helvetica, sans-serif; font-size: 14px; color: #000000;}
            .url {color: #996600;}
        &lt;/style&gt;
      &lt;/head&gt;
      &lt;body&gt;
        &lt;form action="opensearch"&gt;
        	&lt;table&gt;
        		&lt;tr&gt;
        			&lt;td&gt;&lt;input type="text" name="query" value="<xsl:value-of select="rss/channel/nutch:query"/>"/&gt;&lt;/td&gt;
        			&lt;td&gt;
        			    &lt;select size="1" name="catalog"&gt;
        			    &lt;option selected="true"&gt;Website&lt;/option&gt;
        			    &lt;option &gt;Software&lt;/option&gt;
        			    &lt;option &gt;Music&lt;/option&gt;
        			    &lt;option &gt;CD&lt;/option&gt;
        			    &lt;option &gt;Book&lt;/option&gt;
        			    &lt;/select&gt;
        			&lt;/td&gt;
        			&lt;td&gt;
        			    &lt;select size="1" name="format"&gt;
        			    &lt;option selected="true" value="html"&gt;Html Format&lt;/option&gt;
        			    &lt;option value="osrss"&gt;OpenSearch&lt;/option&gt;
        			    &lt;/select&gt;
        			&lt;/td&gt; 
        			 
        			&lt;td&gt;&lt;input type="hidden" name="hitsPerPage" value="<xsl:value-of select="rss/channel/opensearch:itemsPerPage"/>"/&lt;&lt;/td&gt;
        			&lt;td&gt;&lt;input type="hidden" name="hitsPerItem" value="<xsl:value-of select="rss/channel/opensearch:itemsPerItem"/>"/&lt;&lt;/td&gt;
        			&lt;td&gt;&lt;input type="hidden" name="start" value="0"/&lt;&lt;/td&gt;
        			&lt;td&gt;&lt;input type="submit" name="search" value="Search"/&lt;&lt;/td&gt;
        			
        			 
        		&lt;/tr&gt;
        	&lt;/table&gt;
        &lt;/form&gt;
        
        
        <xsl:comment>Generate nutch rss channel</xsl:comment>
        <xsl:apply-templates select="rss/channel"/>
        
        

      &lt;/body&gt;
    </html>
  </xsl:template>
  
  <!--

  ***************************************************************
  ** Match the <channel> element.
  ************************************************************-->
  <xsl:template match="channel">
    &lt;h2&gt;<xsl:value-of select="description"/> (Total hits:<xsl:value-of select="opensearch:totalResults"/>)&lt;/h2&gt;
    <xsl:for-each select="item">
        &lt;h3&gt;<xsl:value-of select="title"/>&lt;/h3&gt;
        <xsl:value-of select="description"/>
        (&lt;a href=<xsl:value-of select="nutch:cache"/> &gt;cache&lt;/a&gt;)
        (&lt;a href=<xsl:value-of select="nutch:explain"/> &gt;explain&lt;/a&gt;)
        <xsl:if test="nutch:anchors != ''">
        (&lt;a href=<xsl:value-of select="nutch:anchors"/> &gt;anchors&lt;/a&gt;)
        </xsl:if>
        <xsl:if test="nutch:moreFromSite != ''">
        (&lt;a href=<xsl:value-of select="nutch:moreFromSite"/> &gt;more from the site&lt;/a&gt;) 
        </xsl:if>	
        &lt;br/&gt;
        &lt;a href=<xsl:value-of select="link"/>&gt;&lt;span class="url"&gt;<xsl:value-of select="link"/>&lt;/span&gt; &lt;/a&gt; &lt;br/&gt;
        &lt;p/&gt;
    </xsl:for-each>
    
    &lt;p&gt;
    <xsl:if test="nutch:showAllHits != ''">
    &lt;a href=<xsl:value-of select="nutch:showAllHits"/>&gt;Show All&lt;/a&gt;
    </xsl:if>
    <xsl:if test="nutch:nextPage != ''">
    &lt;a href=<xsl:value-of select="nutch:nextPage"/>&gt;Next&lt;/a&gt;
    </xsl:if>
    
    <!--xsl:for-each select="nutch:pagination/nutch:page">
        &lt;a href=<xsl:value-of select="."/>&gt;<xsl:value-of select="@pageNo"/>&lt;/a&gt;
    </xsl:for-each-->     
  </xsl:template>


  
</xsl:stylesheet>

